#!/bin/sh

# Remove old REAL Server installation
# databases and settings will not be deleted

# stop running processes
killall realsqlserver &>/dev/null
killall realserver &>/dev/null

# remove core directories
INSTALL_DIR_1=/opt/realsoftware/realsqlserver
rm -fR $INSTALL_DIR_1
INSTALL_DIR_2=/opt/realsoftware/realserver
rm -fR $INSTALL_DIR_2

# try to manually remove startup scripts
# some distributions doesn't have the rc.d subdirectory
STARTUP_DIR=/etc/rc.d
if ! [ -d  $STARTUP_DIR ]; then
STARTUP_DIR=/etc
fi

rm -f "$STARTUP_DIR/init.d/realsqlserver"
rm -f "$STARTUP_DIR/rc3.d/S86realsqlserver"
rm -f "$STARTUP_DIR/rc5.d/S86realsqlserver"
rm -f "$STARTUP_DIR/rc0.d/K86realsqlserver"
rm -f "$STARTUP_DIR/rc6.d/K86realsqlserver"

rm -f "$STARTUP_DIR/init.d/realserver"
rm -f "$STARTUP_DIR/rc3.d/S86realserver"
rm -f "$STARTUP_DIR/rc5.d/S86realserver"
rm -f "$STARTUP_DIR/rc0.d/K86realserver"
rm -f "$STARTUP_DIR/rc6.d/K86realserver"

# try to automatically remove startup scripts
update-rc.d -f realsqlserver remove &>/dev/null
update-rc.d -f realserver remove &>/dev/null

echo "done!"
exit 0